I am creating a view, then a sketch on the top of the view. I should be able to project geometry of the view onto the sketch, for some rason Project Geometry icon is grayed out.
Is there a quick way to rotate an object to match an angle without knowing what the angle is? I am using AutoCAD 2011 now. I was using 2007 and I had an add on command the would rotate an object using a base point and picking the two lines that make up the angle, and it would match the angle you wanted. I can not get that command to load in 2011.
I have a custom elbow that has an angle of 89° in the tube and pipe author dialog but I cannot select it in the tube and pipe style in the "elbow custom" field where the filter properties are 45° to 90°. I can select it as the standard elbow though where the filter properties are 90° to 90°. This doesn't make any sense. All the other filter properties (grayed out) are the same. . IV2013
Is there any way to set the default angle when using the 'Face Draft' command. The default angle is set to 2.5 degrees - for my application 45 would be more useful.
I want to use the custom unfolding rules using Bend Compensation with an angular reference to the bending angle.
I have an Excel sheet where I have determined the bend allowance, the set back and from that, the bend compensation. When I compare these values to the values I get when using a K-factor linear unfolding method in Inventor, I get almost exactly the same results.
Tells me the formulas are working. So I implement the formulas in the custom equations. Exactly the same as in the Excel sheet. 10 degrees angle, great results! Yeah! 45 degrees, great results! More yeah! 90 Degrees, still going strong, I think I might make it!
100 degrees.... Fail! Every time an angle goes over 90 degrees, the result is crap.
I have been struggling with this all day long!! So in the end I completely erased the equations from the Inventor custom equations.I just say: Compensation is 1 mm. For all angles. This should no room for interpretation.
Again I try. I have a sheet metal part with two legs. A 100mm leg and a 50mm leg. Flat pattern should always be 151mm. Period.
Again, under 90 degrees and on 90 degrees, I get nice flat patterns. Above 90 degrees, it fails again.
Am I completely overlooking something obvious?? Or is Inventor really bugging on this?
In 2013, just placed a view in an idw. Now I need it rotated 90°. In pre2012, there was a rotate Horizontal and Rotate vertical command where we could pick the edge and it would align to it.
Has that been taken out of 2013 or am I just overlooking it? Restarted Inventor and that didnt work. I did not restore the marking menu because I have some customizations that I dont want to lose.
For what its worth, Wiki help shows the "Rotate View" command in the video..... maybe I don't have the full version...IDK. Looks like I am missing several commands here, like Apply Design View.
Matrix3d cur = ed.CurrentUserCoordinateSystem; Vector3d x = new Vector3d(1, 0, 0); Vector3d y = new Vector3d(0, 1, 0); Point3d o = new Point3d(0, 0, 0); [Code] .....
Code is rotating well my model, but it's zooming to bad point. I want to zoom to the point from previous view, so I'm transforming it by new UCS - unfortunately something is going wrong (it's not this point what I want).
I'm making this diagram of the load condition acting on tunnels to explain a Japanese set of equations that are used for the structural analysis for tunnels:
load condition for EEM.jpg
But, there is one problem I have. I'm trying to set up the text for the dimension between the water table and the tunnel "Ha" to look horizontal.
However, if I click on the properties box and write 90 in the rotation box right next to where it says "text rotation," the dimension text does not rotate 90 degrees; if instead I try to rotate it 180° then it only rotates 90° (and in the opposite direction) instead of 180°. It doesn't matter how many degrees I choose, it won't rotate my dimension "Ha" to desired angle to make it look horizontal.
OK I know it's hard to explain my problem with just writing, so I've posted a few pictures:
In this one, the dimension is at 0°; I've only opened the properties box to attempt and rotate it: no rotation.jpg
Now I write 90 in properties box but the dimension text does not rotate at all; it remains at 0 as it is shown in the following image: 90 & no rotation.jpg
Next I try to rotate 180, just to see what happens; and it does rotate (only 90 degrees!): 180 rotates 90.jpg
I finally try to rotate the text 270 just to see if it rotates to desired angle and it does rotate (180 degrees from original position). As shown below:
270 last try.jpg
It doesn't matter how many degrees I choose, I cannot make it look horizontal.
How can I set up my dimension text "Ha" to look horizontal?
I'm looking for a lisp routine that allow me to select a text object that is rotated to anything other than zero, and it will change the text object to zero rotation and while still in the command allow me to place the text object on the screen.
I have a routine that is similiar called RT180 but it just rotates whatever text object you select 180 degrees from its current rotation, but I can not figure out how to modify it to rotate to zero rotation angle. What I like about RT180 is that you select your text it rotates it on the spot and then lets you pick a spot to place it.
I have a program that create a bunch of new custom Iprop in each part of an assembly.
How can I show all those new properties when I open the BOM in the assembly file. Manually I can add a custom column but that is time consuming. Is there a way I can create a macro that will add those custom column in the BOM view?
I found some code to add labels such as "Top View" "Left" view etc. to view labels, but it's not quite what I'm looking for. I'm OK with the default "View 1" and "Scale 1/4" that comes up on the multiview but I want the view label to say something like "Flat Pattern" and "Scale 1/4" when I do a flat pattern and same for ISO. How to accomplish that with iLogic?
When I drag a previous custom command into an existing custom tool bar and edit the custom command (then rename the command in the Name and Command Name) it also changes the previous custom command that I originally drug into the toolbar. What am I doing wrong?
Ive been using inventor for around 2 months now and its all been going good... ive recently done a rather complex assembly that id rather not redo... unfortunately... i ungrounded the base part fiddling with it trying to find a working constraint set for my needs (evenly spaces cylinders on a base plate and a centered on a mounting plate... i ended up using holes and the cylinders screw holes to align them but still this was AFTER i messed it up)
So now because of that the default view is skewed by roughly 45 degrees or so... now i have set the front view manually to reset the ground plane.... but if i stick this in a dwg as front its as if i did nothing... and yes i have triple check to make sure ive set the front view.
In my neverending battle to find a way to turn off unneeded components in an assembly, I'm trying my hand at modifying component visibility with a custom View Rep. View reps seemed to pose fewer issues than LOD's (in that you can have a drawing and model open at the same time without a million error messages)......until I tried to make a pattern.
When first placing a new subassembly component into an assembly, it will automatically place in the "Last Saved" View Rep. Since certain parts may be invisible in my "skeletal" subassembly, this is ideal. HOWEVER, when I try to pattern this subassembly, all of the occurrences absolutely insist on displaying at the "Master" View Rep. This makes no sense to me whatsoever and destroys yet another workflow at the 99% mark. I understand that I can change the view rep manually, but manual workarounds and corrections defeat the point of using iLogic to manipulate our models.
Am I the only CAD user who wants the simple ability to "turn off" an assembly component? iAssemblies are not an option due to the shear number of combinations of unneeded components.
Is it possible to rotate a viewport to an angle other than 90 degrees. I am trying to rotate a viewport 11 degrees counter clockwise. I cannot rotate the model.
I want to create a rule with CommandManager.pick who see the name of assembly and send a custom ipropertie to all parts of this assembly view in drawing, this is my none finish rule.
Dim doc = ThisApplication.ActiveDocument Dim entity = ThisApplication.CommandManager.Pick( SelectionFilterEnum.kDrawingViewFilter, "SÉLECTIONNE UNE VUE") modelName = IO.Path.GetFileName(ActiveSheet.View(entity.Name).ModelDocument.FullFileName) PART = Left(modelName, 11) EXT = Right(modelName, 3) FIRST = Left(modelName, 3)
[code]....
I have the rule "SEND TO PARTS" in my assembly but i have this error message
MEMBER NOT FOUND. (Exception from HRESULT: 0x80020003 (DISP_E_MEMBERNOTFOUND))
Success using AutoCAD's CHAMFER>ANGLE command to chamfer in 3D? Distance/Distance works fine, but I haven't yet figured out how to use the chamfer tool to put a 30 degree chamfer on a cylinder (or any angle for that matter) by specifying a distance and an angle. Seems like it should be simple, but I always give up and end up creating the tapered edge by revolving a polyline that already has the chamfer, or using the TAPER>FACES tool.